# Webhooks

This section of the API documentation provides details on the webhooks available in our system.

### Subscription Management

This page lists helper endpoints that allow you to subscribe to and unsubscribe from webhooks.

### Webhook Details

Each webhook is documented separately on individual subpages, providing specific information on their payload structure. For all outgoing webhooks, the following delivery and retry logic applies:

* Retry Duration: If the endpoint is unavailable, the system will continue to retry delivery for up to 2 days.
* Retry Interval: Retries are performed hourly throughout the 48-hour window.

***

## Endpoints for Subscription Management

## Get Webhook Event Types

> \*\*Rate limit:\*\* 50 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"WebhookEventSchema":{"properties":{"description":{"title":"Description","type":"string"},"event":{"maxLength":255,"title":"Event","type":"string"}},"required":["description","event"],"title":"WebhookEventSchema","type":"object"},"BadRequestSchema":{"properties":{"message":{"description":"Error message","title":"Message","type":"string"}},"required":["message"],"title":"BadRequestSchema","type":"object"}}},"paths":{"/api/v1/webhooks/types":{"get":{"operationId":"scapi_app_endpoints_webhook_api_get_webhook_event_types","summary":"Get Webhook Event Types","parameters":[],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/WebhookEventSchema"},"title":"Response","type":"array"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 50 requests per minute","tags":["Webhooks"]}}}}
```

## Get Webhook Subscriptions

> \*\*Rate limit:\*\* 50 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"WebhookSubscriptionSchema":{"properties":{"events":{"items":{"$ref":"#/components/schemas/EventType"},"title":"Events","type":"array"},"url":{"format":"uri","maxLength":2083,"minLength":1,"title":"Url","type":"string"},"id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"ID"},"description":{"anyOf":[{"maxLength":1000,"type":"string"},{"type":"null"}],"description":"An optional description of what the webhook is used for.","title":"Description"},"enabled":{"default":true,"description":"User side activation toggle","title":"Enabled","type":"boolean"},"created_at":{"format":"date-time","title":"Created At","type":"string"}},"required":["events","url","created_at"],"title":"WebhookSubscriptionSchema","type":"object"},"EventType":{"enum":["order.created","order.updated","order.cancelled","order.shipped","order.returned","order_items.shipped","order_items.cancelled","order_items.returned","stock.updated","product_master.status_updated"],"title":"EventType","type":"string"},"BadRequestSchema":{"properties":{"message":{"description":"Error message","title":"Message","type":"string"}},"required":["message"],"title":"BadRequestSchema","type":"object"}}},"paths":{"/api/v1/webhooks/":{"get":{"operationId":"scapi_app_endpoints_webhook_api_get_webhook_subscriptions","summary":"Get Webhook Subscriptions","parameters":[],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/WebhookSubscriptionSchema"},"title":"Response","type":"array"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 50 requests per minute","tags":["Webhooks"]}}}}
```

## Post Webhook Subscription

> \*\*Rate limit:\*\* 50 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"SecretWebhookSubscriptionSchema":{"properties":{"events":{"items":{"$ref":"#/components/schemas/EventType"},"title":"Events","type":"array"},"url":{"format":"uri","maxLength":2083,"minLength":1,"title":"Url","type":"string"},"id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"ID"},"description":{"anyOf":[{"maxLength":1000,"type":"string"},{"type":"null"}],"description":"An optional description of what the webhook is used for.","title":"Description"},"enabled":{"default":true,"description":"User side activation toggle","title":"Enabled","type":"boolean"},"created_at":{"format":"date-time","title":"Created At","type":"string"},"client_secret":{"maxLength":255,"title":"Client Secret","type":"string"}},"required":["events","url","created_at","client_secret"],"title":"SecretWebhookSubscriptionSchema","type":"object"},"EventType":{"enum":["order.created","order.updated","order.cancelled","order.shipped","order.returned","order_items.shipped","order_items.cancelled","order_items.returned","stock.updated","product_master.status_updated"],"title":"EventType","type":"string"},"BadRequestSchema":{"properties":{"message":{"description":"Error message","title":"Message","type":"string"}},"required":["message"],"title":"BadRequestSchema","type":"object"},"WebhookSubscriptionPostSchema":{"properties":{"events":{"items":{"$ref":"#/components/schemas/EventType"},"title":"Events","type":"array"},"url":{"format":"uri","maxLength":2083,"minLength":1,"title":"Url","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"}},"required":["events","url"],"title":"WebhookSubscriptionPostSchema","type":"object"}}},"paths":{"/api/v1/webhooks/":{"post":{"operationId":"scapi_app_endpoints_webhook_api_post_webhook_subscription","summary":"Post Webhook Subscription","parameters":[],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SecretWebhookSubscriptionSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 50 requests per minute","tags":["Webhooks"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookSubscriptionPostSchema"}}},"required":true}}}}}
```

## Get Webhook Subscription

> \*\*Rate limit:\*\* 50 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"WebhookSubscriptionSchema":{"properties":{"events":{"items":{"$ref":"#/components/schemas/EventType"},"title":"Events","type":"array"},"url":{"format":"uri","maxLength":2083,"minLength":1,"title":"Url","type":"string"},"id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"ID"},"description":{"anyOf":[{"maxLength":1000,"type":"string"},{"type":"null"}],"description":"An optional description of what the webhook is used for.","title":"Description"},"enabled":{"default":true,"description":"User side activation toggle","title":"Enabled","type":"boolean"},"created_at":{"format":"date-time","title":"Created At","type":"string"}},"required":["events","url","created_at"],"title":"WebhookSubscriptionSchema","type":"object"},"EventType":{"enum":["order.created","order.updated","order.cancelled","order.shipped","order.returned","order_items.shipped","order_items.cancelled","order_items.returned","stock.updated","product_master.status_updated"],"title":"EventType","type":"string"},"BadRequestSchema":{"properties":{"message":{"description":"Error message","title":"Message","type":"string"}},"required":["message"],"title":"BadRequestSchema","type":"object"}}},"paths":{"/api/v1/webhooks/{subscription_id}":{"get":{"operationId":"scapi_app_endpoints_webhook_api_get_webhook_subscription","summary":"Get Webhook Subscription","parameters":[{"in":"path","name":"subscription_id","schema":{"title":"Subscription Id","type":"integer"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookSubscriptionSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 50 requests per minute","tags":["Webhooks"]}}}}
```

## Delete Webhook Subscription

> \*\*Rate limit:\*\* 50 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"BadRequestSchema":{"properties":{"message":{"description":"Error message","title":"Message","type":"string"}},"required":["message"],"title":"BadRequestSchema","type":"object"}}},"paths":{"/api/v1/webhooks/{subscription_id}":{"delete":{"operationId":"scapi_app_endpoints_webhook_api_delete_webhook_subscription","summary":"Delete Webhook Subscription","parameters":[{"in":"path","name":"subscription_id","schema":{"title":"Subscription Id","type":"integer"},"required":true}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 50 requests per minute","tags":["Webhooks"]}}}}
```

## Update Webhook Subscription Patch

> \*\*Rate limit:\*\* 100 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"WebhookSubscriptionSchema":{"properties":{"events":{"items":{"$ref":"#/components/schemas/EventType"},"title":"Events","type":"array"},"url":{"format":"uri","maxLength":2083,"minLength":1,"title":"Url","type":"string"},"id":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"ID"},"description":{"anyOf":[{"maxLength":1000,"type":"string"},{"type":"null"}],"description":"An optional description of what the webhook is used for.","title":"Description"},"enabled":{"default":true,"description":"User side activation toggle","title":"Enabled","type":"boolean"},"created_at":{"format":"date-time","title":"Created At","type":"string"}},"required":["events","url","created_at"],"title":"WebhookSubscriptionSchema","type":"object"},"EventType":{"enum":["order.created","order.updated","order.cancelled","order.shipped","order.returned","order_items.shipped","order_items.cancelled","order_items.returned","stock.updated","product_master.status_updated"],"title":"EventType","type":"string"},"BadRequestSchema":{"properties":{"message":{"description":"Error message","title":"Message","type":"string"}},"required":["message"],"title":"BadRequestSchema","type":"object"},"WebhookSubscriptionPatchSchemaPatch":{"properties":{"events":{"anyOf":[{"items":{"$ref":"#/components/schemas/EventType"},"type":"array"},{"type":"null"}],"title":"Events"},"url":{"anyOf":[{"format":"uri","maxLength":2083,"minLength":1,"type":"string"},{"type":"null"}],"title":"Url"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"enabled":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Enabled"}},"title":"WebhookSubscriptionPatchSchemaPatch","type":"object"}}},"paths":{"/api/v1/webhooks/{subscription_id}":{"patch":{"operationId":"scapi_app_endpoints_webhook_api_update_webhook_subscription_patch","summary":"Update Webhook Subscription Patch","parameters":[{"in":"path","name":"subscription_id","schema":{"title":"Subscription Id","type":"integer"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookSubscriptionSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 100 requests per minute","tags":["Webhooks"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookSubscriptionPatchSchemaPatch"}}},"required":true}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.partner.aboutyou.com/api/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
